Bug 729811 - net-snmp-libs is in need of subpackaging and other cleanup
Summary: net-snmp-libs is in need of subpackaging and other cleanup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 729810
TreeView+ depends on / blocked
 
Reported: 2011-08-10 21:56 UTC by Adam Jackson
Modified: 2011-08-22 15:02 UTC (History)
1 user (show)

Fixed In Version: net-snmp-5.7-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:02:38 UTC


Attachments (Terms of Use)

Description Adam Jackson 2011-08-10 21:56:14 UTC
Description of problem:

libsnmp.so.30 is unused in the distro.  The vast majority of packages that do want something from this package want only libnetsnmp, which (unlike the others) does not have a perl dependency.

Comment 1 Jan Safranek 2011-08-11 08:30:02 UTC
- libsnmp.so removed
- new subpackage net-snmp-agent-libs created, with all libs but libnetsnmp.so

-> net-snmp-utils need just net-snmp-libs and no perl and lm_sensors.

Comment 2 Fedora Update System 2011-08-11 08:58:54 UTC
net-snmp-5.7-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/net-snmp-5.7-6.fc16

Comment 3 Fedora Update System 2011-08-12 04:22:37 UTC
Package net-snmp-5.7-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing net-snmp-5.7-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/net-snmp-5.7-6.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-22 15:02:28 UTC
net-snmp-5.7-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.